Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2009-2065

Published: 15 June 2009

Mozilla Firefox 3.0.10, and possibly other versions, detects http content in https web pages only when the top-level frame uses https, which allows man-in-the-middle attackers to execute arbitrary web script, in an https site's context, by modifying an http page to include an https iframe that references a script file on an http site, related to "HTTP-Intended-but-HTTPS-Loadable (HPIHSL) pages."

Notes

AuthorNote
jdstrand
CVEs in Firefox are tracked in the xulrunner source packages. The
mapping of xulrunner sources to firefox is:
xulrunner (1.8.0): firefox (1.5) - Ubuntu 6.06 LTS
xulrunner (1.8.1): firefox (2.0) - Ubuntu 6.10 - 8.04 LTS
xulrunner-1.9: firefox-3.0
xulrunner-1.9.1: firefox-3.5
Ubuntu 6.06 LTS and 10.04 LTS uses the embedded xulrunner and not
the system xulrunner-1.9.2, so it is tracked in the firefox source package.
mdeslaur
as of 2011-04-11, no details. Marking as ignored.

Priority

Medium

Status

Package Release Status
firefox
Launchpad, Ubuntu, Debian
dapper Ignored
(end of life)
hardy Ignored
(end of life)
intrepid Does not exist

jaunty Does not exist

karmic Does not exist

lucid Ignored

maverick Ignored

upstream Needs triage

seamonkey
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Ignored

intrepid Ignored
(end of life, was needed)
jaunty Ignored
(end of life)
karmic Ignored

lucid Ignored

maverick Ignored

upstream Needed

xulrunner
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Ignored

intrepid Ignored
(end of life, was needed)
jaunty Ignored
(end of life)
karmic Ignored

lucid Does not exist

maverick Does not exist

upstream Needs triage

xulrunner-1.9
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Ignored
(end of life)
intrepid Ignored
(end of life, was needed)
jaunty Ignored
(end of life)
karmic Does not exist

lucid Does not exist

maverick Does not exist

upstream Needed

xulrunner-1.9.1
Launchpad, Ubuntu, Debian
dapper Does not exist

hardy Does not exist

intrepid Does not exist

jaunty Ignored
(end of life)
karmic Ignored
(end of life)
lucid Does not exist

maverick Does not exist

upstream Needed